<template>
  <el-form
    class="mb-4 search-container"
    ref="form"
    size="small"
    :inline="true"
    label-suffix=":"
    v-show="$slots.default"
  >
    <slot></slot>
    <!-- <el-form-item style="float:right">
      <slot name="searchs-right"></slot>
      <el-button type="primary" class="add-btn" @click="$emit('search')">搜索</el-button>
      <el-button class="add-btn" @click="$emit('reset')">重置</el-button>
    </el-form-item>-->
    <div class="clearfix"></div>
  </el-form>
</template>
<script lang="ts">
export default {
  components: {},
  data() {
    return {};
  },
  computed: {},
  watch: {},
  props: {},
  methods: {
    resetFields() {
      this.$refs.$form.resetFields();
    }
  },
  mounted() {}
};
</script>
<style lang="scss">
.k-search-table .search-container {
  //
  .el-input {
    width: 200px;
  }

  //
  .el-form-item {
    // margin-bottom: 0;
  }
}
</style>
